import type {RawImageData} from "./RawImageData";

export class StreamData {
    // Image, Text
    public type: string;
    public textData: string | undefined = $state();
    public imageData: RawImageData | undefined = $state();

    constructor(type: string) {
        this.type = type;
    }

    public setData(data: string) {
        this.textData = data;
    }

    public setImageData(data: RawImageData) {
        this.imageData = data;
    }
}